Subject: [Sipping] Re: [Sip] Question on Basic Call flows document section 3.6

From: Alan Johnston <[email-masked]>
Date: Tue, 04 Mar 2003 14:11:29 -0600

(trimmed to the sipping list)

Hi Val,

Thanks for your comments.  In this example, the initial INVITE gets a 
redirect with a Contact URI.  User A then does a DNS lookup on this new URI 
(probably SRV records) which then points to Proxy 3 where the request is 
sent.  There is no pre-loaded Route header involved.

Thanks,
Alan Johnston
WorldCom
sip:[email-masked]

At 03:41 PM 3/4/2003 +0000, Valerie Kenneally wrote:
>Hi All,
>
>         In document at the below link
>
>http://www.ietf.org/internet-drafts/draft-ietf-sipping-basic-call-flows-01.t
>xt
>section 3.6 "Session via Redirect and Proxy Servers with the SDP in ACK".
>
>I am wondering if someone can explain to me how the INVITE (F4) is directed
>from User A to Proxy 3 without any Route header being included in the
>message.
>
>I have been trying to figure this out for a while and I'd really appreciate
>any feedback asap
>
>Thanks in advance,
>Val
>
>------------------------
>Val Kenneally,
>Post-Graduate,
>Electronic Eng. Dept.,
>CIT,
>Rossa Ave.,
>Bishopstown,
>Cork,
>Ireland.
>------------------------
>Tel: +353 87 2273668
>Fax: +353 21 4326625
>
>
>-------------------Legal  Disclaimer---------------------------------------
>
>The above electronic mail transmission is confidential and intended only 
>for the person to whom it is addressed. Its contents may be protected by 
>legal and/or professional privilege. Should it be received by you in error 
>please contact the sender at the above quoted email address. Any 
>unauthorised form of reproduction of this message is strictly prohibited. 
>The Institute does not guarantee the security of any information 
>electronically transmitted and is not liable if the information contained 
>in this communication is not a proper and complete record of the message 
>as transmitted by the sender nor for any delay in its receipt.
>
>----------------------------------------------------------------------------------------
>
>_______________________________________________
>Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>This list is for NEW development of the core SIP Protocol
>Use [email-masked] for questions on current sip
>Use [email-masked] for new developments on the application of sip

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Valerie Kenneally" <[email-masked]>
Date: Tue, 4 Mar 2003 15:41:07 -0000

Hi All,

Thanks in advance,
Val

------------------------
Val Kenneally,
Post-Graduate,
Electronic Eng. Dept.,
CIT,
Rossa Ave.,
Bishopstown,
Cork,
Ireland.
------------------------
Tel: +353 87 2273668
Fax: +353 21 4326625

-------------------Legal  Disclaimer---------------------------------------

The above electronic mail transmission is confidential and intended only for the person to whom it is addressed. Its contents may be protected by legal and/or professional privilege. Should it be received by you in error please contact the sender at the above quoted email address. Any unauthorised form of reproduction of this message is strictly prohibited. The Institute does not guarantee the security of any information electronically transmitted and is not liable if the information contained in this communication is not a proper and complete record of the message as transmitted by the sender nor for any delay in its receipt.

---

From: "Bob Penfield" <[email-masked]>
Date: Thu, 6 Mar 2003 10:26:29 -0500

The redirect (302) response (message F2) instructs User A to send the
request to [email-masked] (in the Contact header). Because the Contact in
the redirect response has just the domain "chicago.com", RFC 3263 procedures
(as referenced in section 8.1.2 of RFC 3261) are then used to find the SIP
server for the chicago.com domain, which is ss3.chicago.com (the third proxy
in the list of Actors in section 1.3).

cheers,
(-:bob

Robert F. Penfield
Chief Software Architect
Acme Packet, Inc.
130 New Boston Street
Woburn, MA 01801
[email-masked]

----- Original Message -----
From: "Valerie Kenneally" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Tuesday, March 04, 2003 10:41 AM
Subject: [Sip] Question on Basic Call flows document section 3.6

> -------------------Legal
Disclaimer---------------------------------------
for the person to whom it is addressed. Its contents may be protected by
legal and/or professional privilege. Should it be received by you in error
please contact the sender at the above quoted email address. Any
unauthorised form of reproduction of this message is strictly prohibited.
The Institute does not guarantee the security of any information
electronically transmitted and is not liable if the information contained in
this communication is not a proper and complete record of the message as
transmitted by the sender nor for any delay in its receipt.